This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 607198 (CVE-2010-2233)

Summary: CVE-2010-2233 libtiff: incorrect type extension for negative toskew values on 64bit platforms
Product: [Other] Security Response Reporter: Tomas Hoger <thoger>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: rcvalle, tgl
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: source=redhat,reported=20100610,public=20100610,impact=important,cvss2=7.5/AV:N/AC:L/Au:N/C:P/I:P/A:P/,cwe=CWE-681->CWE-119
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-07-07 05:23:15 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 606708    
Bug Blocks:    

Description Tomas Hoger 2010-06-23 09:42:13 EDT
A flaw was found in a way libtiff handled vertically flipped (i.e. with negative toskew) images on 64bit platforms.  Numeric computation used to calculate buffer pointer was done in the way that incorrectly extended from 32bit type to 64bit, resulting in out-of-bounds writes.

For more details, refer to following bugs:
  http://bugzilla.maptools.org/show_bug.cgi?id=2207
  https://bugzilla.redhat.com/show_bug.cgi?id=583081
Comment 1 Tomas Hoger 2010-06-23 09:42:51 EDT
Statement:

Not vulnerable. This issue did not affect the versions of libtiff as shipped with Red Hat Enterprise Linux 3, 4, or 5.
Comment 2 Fedora Update System 2010-06-23 10:09:43 EDT
libtiff-3.9.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libtiff-3.9.4-1.fc12
Comment 3 Fedora Update System 2010-06-23 10:11:07 EDT
libtiff-3.9.4-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/libtiff-3.9.4-1.fc13
Comment 4 Fedora Update System 2010-07-01 14:42:54 EDT
libtiff-3.9.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Tomas Hoger 2010-07-02 06:25:13 EDT
CVE as described by Mitre:

tif_getimage.c in LibTIFF 3.9.0 and 3.9.2 on 64-bit platforms, as used
in ImageMagick, does not properly perform vertical flips, which allows
remote attackers to cause a denial of service (application crash) or
possibly execute arbitrary code via a crafted TIFF image, related to
"downsampled OJPEG input."

References:
http://securitytracker.com/id?1024150
http://www.remotesensing.org/libtiff/v3.9.4.html

Reference to 3.9.4 changelog seems to be due to securitytracker.com page incorrectly stating that this is fixed in 3.9.4.  This issue is not fixed in 3.9.4, the fix is not committed in upstream CVS yet.
Comment 6 Fedora Update System 2010-07-05 18:00:31 EDT
libtiff-3.9.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.